Package io.vertx.kafka.admin

## Class MemberAssignment

- java.lang.Object
- - io.vertx.kafka.admin.MemberAssignment

-     public class MemberAssignment
      extends Object

  A description of the assignments of a specific group member

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemberAssignment()` | Constructor
    `MemberAssignment​(JsonObject json)` | Constructor (from JSON representation)
    `MemberAssignment​(Set<TopicPartition> topicPartitions)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<TopicPartition>` | `getTopicPartitions()` |
    `MemberAssignment` | `setTopicPartitions​(Set<TopicPartition> topicPartitions)` | Set the list of topic partitions
    `JsonObject` | `toJson()` | Convert object to JSON representation
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberAssignment

          public MemberAssignment()

      Constructor

    - #### MemberAssignment

          public MemberAssignment​(Set<TopicPartition> topicPartitions)

      Constructor
      Parameters:
        `topicPartitions` - list of topic partitions

    - #### MemberAssignment

          public MemberAssignment​(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getTopicPartitions

          public Set<TopicPartition> getTopicPartitions()

      Returns:
        list of topic partitions

    - #### setTopicPartitions

          public MemberAssignment setTopicPartitions​(Set<TopicPartition> topicPartitions)

      Set the list of topic partitions
      Parameters:
        `topicPartitions` - list of topic partitions
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`